1. Assets
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
        GET
      • List asset types
        GET
      • Asset structure
        GET
      • Assets dynamic fields
        GET
      • List assets
        GET
      • Assets
        GET
      • Assets
        POST
      • Assets
        PATCH
      • Assets
        DELETE
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Assets

Assets

POST
/properties/{propertyID}/assets

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢201Success
application/json
Bodyapplication/json

🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/properties/1240/assets' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "assetTypeID": 35,
    "fields": {
        "standard": [
            {
                "key": "f004af2e-372342b8",
                "fieldType": "date",
                "value": "",
                "description": "Warranty start date"
            },
            {
                "key": "d6b868b5-dfd8b0d7",
                "fieldType": "date",
                "value": "",
                "description": "Warranty end date"
            },
            {
                "key": "41efc02a-5c82ac22",
                "fieldType": "checkbox",
                "value": "False",
                "description": "Did you install this?"
            },
            {
                "key": "acd53857-13bb8d9",
                "fieldType": "checkbox",
                "value": "False",
                "description": "Did you commission this?"
            },
            {
                "key": "b8a62c01-1b3c1ea5",
                "fieldType": "checkbox",
                "value": "True",
                "description": "Is this under warranty?"
            },
            {
                "key": "dbfaaf8c-60e2b3b6",
                "fieldType": "dynamic_dropdown",
                "value": "Natural gas",
                "description": "Fuel"
            },
            {
                "key": "b1e04b33-a3939fad",
                "fieldType": "dynamic_dropdown",
                "value": "Vaillant",
                "description": "Make"
            },
            {
                "key": "c426f0cc-3443b5b7",
                "fieldType": "dynamic_dropdown",
                "value": "WBGreenstar 4000",
                "description": "Model"
            },
            {
                "key": "3a762132-9039e6ec",
                "fieldType": "dynamic_dropdown",
                "value": "nashik",
                "description": "Location"
            },
            {
                "key": "74969214-cdd28fa1",
                "fieldType": "dynamic_dropdown",
                "value": "BR",
                "description": "Flue"
            },
            {
                "key": "84627a87-9254202a",
                "fieldType": "dropdownlist",
                "value": "",
                "description": "Status"
            },
            {
                "key": "ed51d3e3-17658717",
                "fieldType": "text",
                "value": "12333355",
                "description": "Serial number"
            },
            {
                "key": "13dcd66e-cfef4335",
                "fieldType": "barcode",
                "value": "12312414",
                "description": "Barcode/Tag"
            },
            {
                "key": "57b5cf3b-b57e20bc",
                "fieldType": "text",
                "value": "234234",
                "description": "Reference"
            },
            {
                "key": "9e8784ca-af05de36",
                "fieldType": "text",
                "value": "23423434",
                "description": "GC number"
            },
            {
                "key": "81eb9c52-508cac52",
                "fieldType": "text",
                "value": "2345555",
                "description": "Gas safe notification number"
            }
        ]
    }
}'
Response Response Example
201 - Example 1
{
    "asset": {
        "typeId": 2,
        "data": {
            "standard": [
                {
                    "key": "8846cfe0-1d345750",
                    "fieldType": "string",
                    "value": "A26970000011T"
                },
                {
                    "key": "873bbce5-7fd923f4",
                    "fieldType": "integer",
                    "value": 201
                },
                {
                    "key": "fa699df8-e652f929",
                    "fieldType": "date",
                    "value": "2026-08-05"
                }
            ],
            "customerId": 1104,
            "uuid": "8bbca3b3-eba75416"
        }
    }
}
Modified at 2026-09-23 06:46:19
Previous
Assets
Next
Assets
Built with